> For the complete documentation index, see [llms.txt](https://partner-docs.fera.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://partner-docs.fera.ai/developers/partner-api.md).

# Partner API

## Authentication

Use your partner API key which can be found in your [Partner Dashboard](https://partners.fera.ai/dashboard?ref=open_api\&api_type=partners).

This can be included as the `Api-Key` header or `api_key` parameter.

## Specifying The Store

For any parameters that are specific to a store, you must include the `domain` parameter which is the domain of the store.

If you know the store's public API key or fera store ID then those can also be used via the `store_public_key` and `store_id` parameters respectively instead of the `domain` parameters.

## Product, Customer and Order IDs

Whenever the API requests a product, customer or order ID then Fera accepts either:

* The Fera ID (always begins with 'f' like `fpro_123ABC`)
* The external ID (can be anything)
  * This is usually the store's object ID.
  * For example, if it's a Shopify product then this is the Shopify.

{% hint style="success" %}
Fera IDs always start with 'f' and are globally unique. That's why they're interchangeable with external (store) IDs.
{% endhint %}

## Rate Limits

The rate limit for partners is 60 requests per minute (approximately 1 request per second).&#x20;

If you need to make requests more often please let our team know.

## Response and Request Formats

[Please see the Developer API Reference for the private API.](https://developers.fera.ai/reference/api-request-format?ref=partner-docs) This API follows the same structure for responses and requests.

{% hint style="info" %}
The Partner API is different than our store private API. [View our developer docs here](https://developers.fera.ai/docs?ref=partner-docs) for the full API reference.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://partner-docs.fera.ai/developers/partner-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
